#!/usr/bin/python3

from sys import argv, exit
from os import walk, path
from random import choice
import time, urllib.parse

from article_utils import parse_metadata, MONTHS
from page_shares import wrap_page

if len(argv) <= 1:
    print("No directory was supplied")
    exit(-1)

page_metadata = """Title:  mjestečko
CSS:    /style.css

"""

adjectives = ["*wild*", "**wacky**", "very humble", "**most serious**"]

page = f"""Personal blog of one {choice(adjectives)} Veclav Talica.

---

### Articles ###

"""

# todo: Sort by date first.
for root, dirs, _ in walk(argv[1]):
    for d in dirs:
        metadata = parse_metadata(path.abspath(root + '/' + d + "/page.mmd"))
        article = urllib.parse.quote(d)
        page += (
            f"""[{metadata.get("Title", "No title given! What a clusterfuck!")}](/articles/{article}.html)\n\n"""
            f""">{metadata.get("Brief", "")}\n\n"""
        )
        if "Tags" in metadata:
            page += f""">*{','.join(metadata["Tags"])}*\n---\n"""

curtime = time.gmtime(int(time.time()))
page += f"Last compiled: *{MONTHS[curtime.tm_mon]} {curtime.tm_mday}, {curtime.tm_year} {curtime.tm_hour}:{curtime.tm_min:2}*\n\n"

print(page_metadata + wrap_page(page))
